Skip to main content
`Ctrl`+`K`

# PetscSpaceSumSetConcatenate

Sets the concatenate flag for this space.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumSetConcatenate(PetscSpace sp, PetscBool concatenate)

## Input Parameters

- sp - the function space object

- concatenate - are subspaces concatenated components (true) or direct summands (false)

## Notes

A concatenated sum space will have the number of components equal to the sum of the number of components of all subspaces. A non-concatenated, or direct sum space will have the same number of components as its subspaces .

## See Also

`PETSCSPACESUM`, `PetscSpace`, `PetscSpaceSumGetConcatenate()`

## Level

intermediate

## Location

src/dm/dt/space/impls/sum/spacesum.c

## Implementations

PetscSpaceSumSetConcatenate_Sum() in src/dm/dt/space/impls/sum/spacesum.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages